{
    onModifyTypePriority: -1,
    onModifyType(move, pokemon, target) {
      if (move.flags["sound"] && !pokemon.volatiles["dynamax"] && ["voidfog"].includes(target.effectiveWeather())) {
        move.type = "Dark";
        move.typeChangerBoosted = this.effect;
      }
    },
    onBasePowerPriority: 23,
    onBasePower(basePower, pokemon, target, move) {
      if (move.typeChangerBoosted === this.effect)
        return this.chainModify([4915, 4096]);
    },
    flags: {},
    name: "Void Song",
    rating: 3,
    num: -32101
}